

# UpdateGatewayRateLimit
<a name="API_UpdateGatewayRateLimit"></a>

Updates the entries of a gateway rate limit. The dimension keys are immutable after creation.

## Request Syntax
<a name="API_UpdateGatewayRateLimit_RequestSyntax"></a>

```
PATCH /gateways/{{gatewayIdentifier}}/rate-limits/{{rateLimitId}} HTTP/1.1
Content-type: application/json

{
   "description": "{{string}}",
   "entries": [ 
      { 
         "connections": [ 
            { 
               "period": "{{string}}",
               "rate": {{number}}
            }
         ],
         "dimensions": { 
            "{{string}}" : "{{string}}" 
         },
         "requests": [ 
            { 
               "period": "{{string}}",
               "rate": {{number}}
            }
         ],
         "tokens": [ 
            { 
               "period": "{{string}}",
               "rate": {{number}}
            }
         ]
      }
   ]
}
```

## URI Request Parameters
<a name="API_UpdateGatewayRateLimit_RequestParameters"></a>

The request uses the following URI parameters.

 ** [gatewayIdentifier](#API_UpdateGatewayRateLimit_RequestSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-request-uri-gatewayIdentifier"></a>
The unique identifier of the gateway.  
Pattern: `([0-9a-z][-]?){1,100}-[0-9a-z]{10}`   
Required: Yes

 ** [rateLimitId](#API_UpdateGatewayRateLimit_RequestSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-request-uri-rateLimitId"></a>
The unique identifier of the rate limit to update.  
Length Constraints: Minimum length of 2. Maximum length of 64.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9\-_\.]{0,62}[a-zA-Z0-9]`   
Required: Yes

## Request Body
<a name="API_UpdateGatewayRateLimit_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [description](#API_UpdateGatewayRateLimit_RequestSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-request-description"></a>
The updated human-readable description for this rate limit.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 512.  
Required: No

 ** [entries](#API_UpdateGatewayRateLimit_RequestSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-request-entries"></a>
The updated rule entries. The dimension keys are immutable after creation and cannot be changed.  
Type: Array of [LimitEntry](API_LimitEntry.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 1000 items.  
Required: Yes

## Response Syntax
<a name="API_UpdateGatewayRateLimit_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": "string",
   "description": "string",
   "dimensionKeys": [ "string" ],
   "entries": [ 
      { 
         "connections": [ 
            { 
               "period": "string",
               "rate": number
            }
         ],
         "dimensions": { 
            "string" : "string" 
         },
         "requests": [ 
            { 
               "period": "string",
               "rate": number
            }
         ],
         "tokens": [ 
            { 
               "period": "string",
               "rate": number
            }
         ]
      }
   ],
   "gatewayIdentifier": "string",
   "rateLimitId": "string",
   "status": "string",
   "updatedAt": "string"
}
```

## Response Elements
<a name="API_UpdateGatewayRateLimit_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-createdAt"></a>
The timestamp when the rate limit was created.  
Type: Timestamp

 ** [description](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-description"></a>
The human-readable description of the rate limit.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 512.

 ** [dimensionKeys](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-dimensionKeys"></a>
The ordered list of dimension key names that define the scope of this rate limit.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 10 items.  
Length Constraints: Minimum length of 1. Maximum length of 80.  
Pattern: `(targetName|toolName|qualifiedModelId|\$\.context\.iam\.principal|\$\.context\.iam\.sourceIdentity|\$\.context\.jwt\.[a-zA-Z_][a-zA-Z0-9_\-\.]{0,61}[a-zA-Z0-9_])` 

 ** [entries](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-entries"></a>
The list of rule entries that map dimension values to rate configurations.  
Type: Array of [LimitEntry](API_LimitEntry.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 1000 items.

 ** [gatewayIdentifier](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-gatewayIdentifier"></a>
The unique identifier of the gateway.  
Type: String  
Pattern: `([0-9a-z][-]?){1,100}-[0-9a-z]{10}` 

 ** [rateLimitId](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-rateLimitId"></a>
The unique identifier of the rate limit.  
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 64.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9\-_\.]{0,62}[a-zA-Z0-9]` 

 ** [status](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-status"></a>
The current status of the rate limit.  
Type: String  
Valid Values: `CREATING | ACTIVE | UPDATING | DELETING` 

 ** [updatedAt](#API_UpdateGatewayRateLimit_ResponseSyntax) **   <a name="bedrockagentcorecontrol-UpdateGatewayRateLimit-response-updatedAt"></a>
The timestamp when the rate limit was last updated.  
Type: Timestamp

## Errors
<a name="API_UpdateGatewayRateLimit_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
This exception is thrown when a request is denied per access permissions  
HTTP Status Code: 403

 ** ConflictException **   
This exception is thrown when there is a conflict performing an operation  
HTTP Status Code: 409

 ** InternalServerException **   
This exception is thrown if there was an unexpected error during processing of request  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This exception is thrown when a resource referenced by the operation does not exist  
HTTP Status Code: 404

 ** ThrottlingException **   
This exception is thrown when the number of requests exceeds the limit  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_UpdateGatewayRateLimit_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-agentcore-control-2023-06-05/UpdateGatewayRateLimit) 